<?php

class Migration_20250724171053_alter_table_hardwares_settings_events
{
    public static function up(PDO $pdo)
    {
        $pdo->exec("DELETE FROM `hardwares_settings_events`;");
        $sql = "
            ALTER TABLE `hardwares_settings_events`
            ADD COLUMN `timestamp` VARCHAR(255) DEFAULT NULL;
        ";
        $pdo->exec($sql);
    }

    public static function down(PDO $pdo)
    {
        $sql = "
            ALTER TABLE `hardwares_settings_events`
            DROP COLUMN `timestamp`;
        ";
        $pdo->exec($sql);
    }
}